List daemons

Retrieve a list of all daemons on a server.


GET/api/servers/{server}/daemons

List all daemons

This endpoint allows you to retrieve a paginated list of all daemons (background processes) on a server.

Request

GET
/api/servers/{server}/daemons
curl -G "https://ploi.io/api/servers/{server}/daemons" \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json"

Response

{
  "data": [
    {
      "id": 1,
      "command": "echo 123",
      "processes": 1,
      "system_user": "ploi",
      "directory": "/home/ploi",
      "status": "active"
    }
  ],
  "links": {
    "first": "https://ploi.io/api/servers/1/daemons?page=1",
    "last": "https://ploi.io/api/servers/1/daemons?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://ploi.io/api/servers/1/daemons",
    "per_page": 15,
    "to": 1,
    "total": 1
  }
}